Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.egategui.pe
Class OtdBeanInfo

    java.lang.Object
      com.stc.swift.egategui.pe.OtdBeanInfo

All Implemented Interfaces:
  com.stc.editor.javamodel.beans.IBeanInfo

    public class OtdBeanInfo

extends java.lang.Object
implements com.stc.editor.javamodel.beans.IBeanInfo

Title:

Description:

Copyright: Copyright (c) 2002

Company: SeeBeyond

Version:
  1.0

Field Summary
`static java.lang.String` | `COUNT_PREFIX` count prefix
`static java.lang.String` | `GETTER_PREFIX` DOCUMENT ME!
`static java.lang.String` | `HAS_PREFIX` DOCUMENT ME!
`static java.lang.String` | `SETTER_PREFIX` DOCUMENT ME!

Constructor Summary
`OtdBeanInfo(OtdBeanProvider provider, com.stc.otd.forest.OtdMetaContainer container, com.stc.otd.forest.OtdWood otdWood)` Constructor

Method Summary
`boolean` | `equals(java.lang.Object obj)` DOCUMENT ME!
`java.util.Collection` | `getBeanProperties()` DOCUMENT ME!
`com.stc.editor.javamodel.beans.IBeanProperty` | `getBeanPropertyByMethodName(java.lang.String methodName)` DOCUMENT ME!
`int` | `hashCode()`
`void` | `populateMethods(com.stc.editor.javamodel.IClassDeclaration decl)` Retrieves the list of methods in the OtdWood.
`java.lang.String` | `toString()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### GETTER_PREFIX

    public static final java.lang.String GETTER_PREFIX

  DOCUMENT ME!

  See Also:
    Constant Field Values

### SETTER_PREFIX

    public static final java.lang.String SETTER_PREFIX

  DOCUMENT ME!

  See Also:
    Constant Field Values

### HAS_PREFIX

    public static final java.lang.String HAS_PREFIX

  DOCUMENT ME!

  See Also:
    Constant Field Values

### COUNT_PREFIX

    public static final java.lang.String COUNT_PREFIX

  count prefix

  See Also:
    Constant Field Values

Constructor Detail

### OtdBeanInfo

    public OtdBeanInfo(OtdBeanProvider provider,
                       com.stc.otd.forest.OtdMetaContainer container,
                       com.stc.otd.forest.OtdWood otdWood)
                throws com.stc.editor.javamodel.beans.BeanInfoNotFoundException

  Constructor

  Parameters:
    `provider` - provider
    `container` - OtdMetaContainer
    `otdWood` - otdWood
  Throws:
    `com.stc.editor.javamodel.beans.BeanInfoNotFoundException`
    `com.stc.editor.javamodel.beans.BeanInfoNotFoundException` - BeanInfoNotFoundException

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getBeanProperties

    public java.util.Collection getBeanProperties()

  DOCUMENT ME!

  Specified by:
    `getBeanProperties` in interface `com.stc.editor.javamodel.beans.IBeanInfo`
  Returns:
    DOCUMENT ME!

### getBeanPropertyByMethodName

    public com.stc.editor.javamodel.beans.IBeanProperty getBeanPropertyByMethodName(java.lang.String methodName)

  DOCUMENT ME!

  Specified by:
    `getBeanPropertyByMethodName` in interface `com.stc.editor.javamodel.beans.IBeanInfo`
  Parameters:
    `methodName` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### equals

    public boolean equals(java.lang.Object obj)

  DOCUMENT ME!

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### populateMethods

    public void populateMethods(com.stc.editor.javamodel.IClassDeclaration decl)

  Retrieves the list of methods in the OtdWood.

  Specified by:
    `populateMethods` in interface `com.stc.editor.javamodel.beans.IBeanInfo`
  Parameters:
    `decl` - Class declaration interface

### toString

    public java.lang.String toString()

  DOCUMENT ME!

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.